#===========================================================================;
#
#  This material has been supplied as part of the Sonic Foundry Plug-In
#  Development Kit (PIDK). Under copyright laws, this material may not be
#  duplicated in whole or in part, except for personal use, without the
#  express written consent of Sonic Foundry, Inc. Refer to the license
#  agreement contained with the PIDK before using any part of this material.
#
#  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
#  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
#  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
#  PURPOSE.
#
#  Web:    www.sonicfoundry.com
#  Email:  pidk@sonicfoundry.com
#
#  Copyright (C) 1996-1998 Sonic Foundry, Inc. All Rights Reserved.
#  Portions Copyright (C) 1992-1996 Microsoft Corporation.
#
#---------------------------------------------------------------------------;
#
#   Master makefile for all PIDK examples...
#
#   Useful environment variables:
#       C_OPTIMIZATION=-Ox
#       nodebug=1
#
#===========================================================================;

!ifdef QUIET
!CMDSWITCHES +S
LOGO =/NOLOGO /X-
!else
LOGO =
!endif

all:
    @echo.======================== Building SFINVERT ======================== > con:
    cd sfinvert
    nmake $(LOGO) /$(MAKEFLAGS) -f makefile
    cd ..
    @echo.======================== Building SFGARGLE ======================== > con:
    cd sfgargle
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile
    cd ..
    @echo.======================== Building SFECHO ======================== > con:
    cd sfecho
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile
    cd ..
    @echo.======================== Building SFLENGTH ======================== > con:
    cd sflength
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile
    cd ..
    @echo.======================== Building SFMIX ======================== > con:
    cd sfmix
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile
    cd ..
    @echo.======================== Building SFPAN ======================== > con:
    cd sfpan
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile
    cd..
    @echo.======================== Building SFSTRESS ======================== > con:
    cd sfstress
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile
    cd..

clean:
    cd sfinvert
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd ..
    cd sfgargle
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd ..
    cd sfecho
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd ..
    cd sflength
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd ..
    cd sfmix
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd ..
    cd sfpan
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd..
    cd sfstress
    nmake $(LOGO) /$(MAKEFLAGS)  -f makefile clean
    cd..
